<?php

//Hàm chuyển sang tiếng việt UTF-8

function cvnokia($text) {

$nokia=array(

'á','ả','à' ,'ã','ạ','ắ','ẳ','ằ','ẵ','ặ',

'ấ','ẩ','ầ','ẫ','ậ','é','ẻ','è','ẽ','ẹ',

'ế','ể','ề','ễ','ệ','ó','ỏ','ò','õ','ọ',

'ố','ổ','ồ','ỗ','ộ','ớ','ở','ờ','ỡ','ợ',

'ú','ủ','ù','ũ','ụ','ứ','ử','ừ','ữ','ự',

'ý','ỷ','ỳ','ỹ','ỵ','í','ỉ','ì','ĩ','ị',

'Á','Ả','À','Ã','Ạ','Ắ','Ẳ','Ẳ','Ẵ','Ặ',

'Ấ','Ẩ','Ầ','Ẫ','Ậ','É','Ẻ','È','Ẽ','Ẹ',

'Ế','Ể','Ề','Ễ','Ệ','Ó','Ỏ','Ò','Õ','Ọ',

'Ố','Ổ','Ồ','Ỗ','Ộ','Ớ','Ở','Ờ','Ỡ','Ợ',

'Ú','Ủ','Ù','Ũ','Ụ','Ứ','Ử','Ừ','Ữ','Ự',

'Ý','Ỷ','Ỳ','Ỹ','Ỵ','Í','Ỉ','Ì','Ĩ','Ị','Ð'

);

$pc=array(

'á','ả','à' ,'ã','ạ','ắ','ẳ','ằ','ẵ','ặ',

'ấ','ẩ','ầ','ẫ','ậ','é','ẻ','è','ẽ','ẹ',

'ế','ể','ề','ễ','ệ','ó','ỏ','ò','õ','ọ',

'ố','ổ','ồ','ỗ','ộ','ớ','ở','ờ','ỡ','ợ',

'ú','ủ','ù','ũ','ụ','ứ','ử','ừ','ữ','ự',

'ý','ỷ','ỳ','ỹ','ỵ','í','ỉ','ì','ĩ','ị',

'Á','Ả','À','Ã','Ạ','Ắ','Ẳ','Ằ','Ẵ','Ặ',

'Ấ','Ẩ','Ầ','Ẫ','Ậ','É','Ẻ','È','Ẽ','Ẹ',

'Ế','Ể','Ề','Ễ','Ệ','Ó','Ỏ','Ò','Õ','Ọ',

'Ố','Ổ','Ồ','Ỗ','Ộ','Ớ','Ở','Ờ','Ỡ','Ợ',

'Ú','Ủ','Ù','Ũ','Ụ','Ứ','Ử','Ừ','Ữ','Ự',

'Ý','Ỷ','Ỳ','Ỹ','Ỵ','Í','Ỉ','Ì','Ĩ','Ị','Ð'

);

$text = str_replace($nokia, $pc, $text);

return $text;

}



//Hàm chuyển tên sang url đẹp

function rwurl($title){

$replacement = '-';

$map = array();

$quotedReplacement = preg_quote($replacement, '/');

$default = array(

'/à|á|ạ|ả|ã|â|ầ|ấ|ậ|ẩ|ẫ|ă|ằ|ắ|ặ|ẳ|ẵ|À|Á|Ạ|Ả|Ã|Â|Ầ|Ấ|Ậ|Ẩ|Ẫ|Ă|Ằ|Ắ|Ặ|Ẳ|Ẵ|å/' => 'a',

'/e|è|é|ẹ|ẻ|ẽ|ê|ề|ế|ệ|ể|ễ|È|É|Ẹ|Ẻ|Ẽ|Ê|Ề|Ế|Ệ|Ể|Ễ|ë/' => 'e',

'/ì|í|ị|ỉ|ĩ|Ì|Í|Ị|Ỉ|Ĩ|î/' => 'i',

'/ò|ó|ọ|ỏ|õ|ô|ồ|ố|ộ|ổ|ỗ|ơ|ờ|ớ|ợ|ở|ỡ|Ò|Ó|Ọ|Ỏ|Õ|Ô|Ồ|Ố|Ộ|Ổ|Ỗ|Ơ|Ờ|Ớ|Ợ|Ở|Ỡ|ø/' => 'o',

'/ù|ú|ụ|ủ|ũ|ư|ừ|ứ|ự|ử|ữ|Ù|Ú|Ụ|Ủ|Ũ|Ư|Ừ|Ứ|Ự|Ử|Ữ|ů|û/' => 'u',

'/ỳ|ý|ỵ|ỷ|ỹ|Ỳ|Ý|Ỵ|Ỷ|Ỹ/' => 'y',

'/đ|Đ/' => 'd',

'/ç/' => 'c',

'/ñ/' => 'n',

'/ä|æ/' => 'ae',

'/ö/' => 'o',

'/ü/' => 'u',

'/Ä/' => 'A',

'/Ü/' => 'U',

'/Ö/' => 'O',

'/Ð/' => 'd',

'/ß/' => 'b',

'/̃|̉|̣|̀|́/' => '',

'/[^\s\p{Ll}\p{Lm}\p{Lo}\p{Lt}\p{Lu}\p{Nd}]/mu' => ' ', '/\\s+/' => $replacement,

sprintf('/^[%s]+|[%s]+$/', $quotedReplacement, $quotedReplacement) => '',

);

$title = urldecode($title);

mb_internal_encoding('UTF-8');

$map = array_merge($map, $default);

return strtolower( preg_replace(array_keys($map), array_values($map), $title) );

}

function dongdau($image, $save, $logo){



$compress = '95';//chất lượng nén của jpeg



$marge_bottom = '-1';



$marge_right = '-1';



$stamp = imagecreatefrompng($logo);



$width = imagesx($stamp);



$height = imagesy($stamp);



$info = getimagesize($image);



//$mime = $info[mime];



$h = $info[1];



$w = $info[0];







$k=$w-$width;



$marge_r = $marge_right;



$marge_b = $marge_bottom;



if($w>=$width){







switch(exif_imagetype($image)){



case '4':



$im = imagecreatefromPNG($image);



break;



case '3':



$im = imagecreatefrompng($image);



break;



case '2':



$im = imagecreatefromjpeg($image);



break;



case '1':



$im = imagecreatefromgif($image);



break;



}



imagecopy($im, $stamp, $w - $width - $marge_right, $h - $height - $marge_bottom, 0, 0, $width, $height);



imagealphablending($im,false);



imagesavealpha($im,true);







switch(exif_imagetype($image)){



case '3':



imagepng($im, $save);



break;



case '2':



imagejpeg($im, $save, $compress);



break;



case '1':



imagegif($im, $save);



break;



}







}



else{



copy($image, $save);



}



}
function mefun($image, $text, $save){
$font = 'font.ttf';
$compress = '95'; //chất lượng nén ảnh, tính bằng %
$gocquay= '0';//goc quay
$size = '14'; // Cỡ chữ
$tcolor = 'C2C2C2';//màu chữ dạng hex

$a = imagettfbbox($size, $gocquay, $font, $text);
$width = abs($a[0]) + abs($a[2]);//chiều rộng text
$height = abs($a[5])+abs($a[1]);//chiều cao text

$info = getimagesize($image);
$mime = $info[mime];
$h = $info[1];
$w = $info[0];
if($w>=$width+4){

if($mime=='image/png'){
$im = imagecreatefrompng($image);
}
elseif($mime=='image/jpeg'){
$im = imagecreatefromjpeg($image);
}
elseif($mime=='image/gif'){
$im = imagecreatefromgif($image);
}
$new_h = $h+$height;//chiều cao của hình ảnh mới

$new_im= imagecreatetruecolor($w, $new_h); //tạo ảnh mới
$white = imagecolorallocate($new_im, 255, 255, 255);
imagefill($new_im, 0, 0, $white); //tô màu trắng
imagecolortransparent($new_im, $white);

$redtext = hexdec(substr($tcolor, 1, 2));
$greentext = hexdec(substr($tcolor, 3, 2));
$bluetext = hexdec(substr($tcolor, 5, 2));
$text_color = imagecolorallocate($new_im, $redtext, $greentext, $bluetext);//màu text

imagettftext($new_im, $size, $gocquay, $w-$width-2, $h+abs($a[5]), $text_color, $font, $text);//in text lên ảnh mới

imagealphablending($new_im,false);
imagesavealpha($new_im,true);

imagecopy ($new_im, $im, 0, 0, 0, 0, $w, $h); //copy ảnh cần đóng dấu vào ảnh mới

if($mime=='image/png'){
imagepng($new_im, $save);
}
elseif($mime=='image/jpeg'){
imagejpeg($new_im, $save, $compress);
}
elseif($mime=='image/gif'){
imagegif($new_im, $save);
}

}else{
copy($image,$save);}

}//endfunc
?>